Windows XP安装MySQL 5.7后无法运行的原因

Nokia 发表于 2015/11/6 23:24 | 显示全部楼层 |阅读模式
MySQL 5.7在XP下无法运行,是因为MySQL 5.7需要微软VC 2013运行库,也就是VC 12运行库。

VC 2012(VC 11)开始不支持Windows XP和Windows 2003等操作系统了,因此MySQL 5.7不支持XP,导致XP安装了MySQL 5.7无法运行,所以在Windows XP上面装MySQL 5.7是没有意义的。

MySQL 5.7可以在Windows 7、Windows 8、Windows 10,而且也不需要单独安装VC 2013运行库,因为程序默认在bin目录下携带了msvcp120.dll和msvcr120.dll两个文件。当然,还是建议把常用的VC运行库都安装上去,免得其他软件无法运行,VC运行库版本众多,而且各个版本支持的操作系统不一样,这是微软的一个巨坑。

Windows XP/ Windows 2003上面可以使用MySQL 5.6或者更低版本。

手机版|轻松E站

E-mail: OHCC@163.COM

快速回复 返回顶部 返回列表